import React, { useState, createContext } from 'react';

export const ModalContext = createContext(false);

const ModalProvider = ({ children }) => {
  const [showModal, setShowModal] = useState(false);
  const [modalContent, setModalContent] = useState('');

  return (
    <ModalContext.Provider value={{ showModal, setShowModal, modalContent, setModalContent }}>
      {children}
    </ModalContext.Provider>
  );
};

export default ModalProvider;
